# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models


def move_dcim_to_separate_model(apps, schema_editor):
    InventoryObject = apps.get_model("inventory", "InventoryObject")
    InventoryObjectAttribute = apps.get_model("inventory", "InventoryObjectAttribute")

    for io in InventoryObject.objects.all():
        try:
            io.hardware = io.attributes.get(name='hardware').value
            io.save()
        except InventoryObjectAttribute.DoesNotExist:
            pass


class Migration(migrations.Migration):

    dependencies = [
        ('inventory', '0007_auto_20160822_1110'),
    ]

    operations = [
        migrations.AddField(
            model_name='inventoryobject',
            name='hardware',
            field=models.CharField(max_length=255, null=True, blank=True),
        ),
        migrations.RunPython(move_dcim_to_separate_model)
    ]
