# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import racks.inventory.fields


class Migration(migrations.Migration):

    dependencies = [
        ('inventory', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='JenkinsErrorLog',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('instance_name', models.CharField(max_length=32)),
                ('instance_url', models.CharField(max_length=127)),
                ('message', models.CharField(max_length=255)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='JenkinsInstance',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('active', models.BooleanField(default=True)),
                ('name', models.CharField(unique=True, max_length=32)),
                ('url', models.CharField(unique=True, max_length=255, verbose_name=b'URL')),
                ('username', models.CharField(default=None, max_length=63, null=True, blank=True)),
                ('api_key', racks.inventory.fields.EncryptedCharField(default=None, null=True, verbose_name=b'API key', blank=True)),
                ('last_successful_sync', models.DateTimeField(default=None, null=True)),
                ('last_failed_sync', models.DateTimeField(default=None, null=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='JenkinsLabel',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('name', models.CharField(unique=True, max_length=63)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='JenkinsNode',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('active', models.BooleanField(default=True)),
                ('name', models.CharField(max_length=127, db_index=True)),
                ('hostname', models.CharField(max_length=127, null=True, verbose_name=b'Hostname', db_index=True)),
                ('address', models.CharField(max_length=15, null=True, verbose_name=b'IPv4/6 Address')),
                ('offline', models.BooleanField(default=False)),
                ('temporarily_offline', models.BooleanField(default=False)),
                ('offline_reason', models.CharField(default=None, max_length=127, null=True)),
                ('architecture', models.CharField(default=None, max_length=63, null=True)),
                ('executors', models.IntegerField(default=0)),
                ('available_memory', models.BigIntegerField(default=0)),
                ('total_memory', models.BigIntegerField(default=0)),
                ('available_swap', models.BigIntegerField(default=0)),
                ('total_swap', models.BigIntegerField(default=0)),
                ('disk_space', models.BigIntegerField(default=0)),
                ('temp_disk_space', models.BigIntegerField(default=0)),
                ('last_job', models.DateTimeField(default=None, null=True)),
                ('disabled', models.BooleanField(default=False)),
                ('instance', models.ForeignKey(related_name='nodes', on_delete=django.db.models.deletion.SET_NULL, blank=True, to='jenkins_ci.JenkinsInstance', null=True)),
                ('inventory_object', models.ForeignKey(related_name='jenkins_nodes', on_delete=django.db.models.deletion.SET_NULL, blank=True, to='inventory.InventoryObject', null=True)),
                ('labels', models.ManyToManyField(related_name='nodes', to='jenkins_ci.JenkinsLabel')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='jenkinsinstance',
            name='master_node',
            field=models.ForeignKey(related_name='+', on_delete=django.db.models.deletion.SET_NULL, to='jenkins_ci.JenkinsNode', null=True),
        ),
        migrations.AddField(
            model_name='jenkinserrorlog',
            name='instance',
            field=models.ForeignKey(related_name='error_logs', on_delete=django.db.models.deletion.SET_NULL, blank=True, to='jenkins_ci.JenkinsInstance', null=True),
        ),
    ]
