import csv

from django.contrib.auth.decorators import login_required
from django.shortcuts import HttpResponse

from racks.jenkins_ci.models import JenkinsNode


@login_required
def export_jenkins_slaves(request):
    object_list = JenkinsNode.objects.all().select_related('instance')
    response = HttpResponse(
        content_type='text/csv',
        reason='Ok',
    )
    writer = csv.writer(response)
    writer.writerow(['Instance name', 'Slave', 'Address', 'Last job unix timestamp',
                     'VCPU count', 'Total memory (bytes)', 'Free memory (bytes)',
                     'Disk space (bytes)', 'Status', 'Labels'])
    for n in object_list:
        row = [n.instance.name, n.name, n.formatted_address, n.last_job, n.executors,
               n.total_memory, n.available_memory, n.disk_space, n.formatted_status, n.all_labels]
        writer.writerow(row)

    return response
